import 'package:diplomaticquarterapp/pages/BookAppointment/components/SearchByClinic.dart';
import 'package:diplomaticquarterapp/pages/BookAppointment/components/SearchByDoctor.dart';
import 'package:diplomaticquarterapp/uitl/location_util.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/dialogs/confirm_dialog.dart';
import 'package:diplomaticquarterapp/widgets/others/bottom_bar.dart';
import 'package:flutter/material.dart';
import 'package:geolocator/geolocator.dart';

class Search extends StatefulWidget {
  final int type;

  Search({this.type = 0});

  @override
  _SearchState createState() => _SearchState();
}

class _SearchState extends State<Search> with TickerProviderStateMixin {
  TabController _tabController;

  @override
  void initState() {
    _tabController =
        new TabController(length: 2, vsync: this, initialIndex: widget.type);

    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          bottom: TabBar(
            tabs: [
              Tab(text: TranslationBase.of(context).clinicName),
              Tab(
                text: TranslationBase.of(context).doctorName,
              )
            ],
            controller: _tabController,
          ),
          title: Text(TranslationBase.of(context).bookAppo,
              style: TextStyle(color: Colors.white)),
        ),
        body: TabBarView(
            physics: NeverScrollableScrollPhysics(),
            children: [SearchByClinic(), SearchByDoctor()],
            controller: _tabController),
        bottomNavigationBar: BottomBarSearch());
  }
}
